Bug 1271334 - Test failures on latest fedora-1.9 branch
Test failures on latest fedora-1.9 branch
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sally
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 12:33 EDT by Jonathan Lebon
Modified: 2016-07-19 14:12 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:12:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test output (121.17 KB, text/plain)
2015-10-13 12:33 EDT, Jonathan Lebon
no flags Details

  None (edit)
Description Jonathan Lebon 2015-10-13 12:33:46 EDT
Created attachment 1082502 [details]
test output

Description of problem:

The current git HEAD of the fedora-1.9 branch of projectatomic/docker[1] has a bunch of FAILures. I've attached a full log of "make test" to assist.

Version-Release number of selected component (if applicable):

git HEAD of fedora-1.9 branch, at commit 49b2a65633375ed1f5cf0de6f7147510f3836ff3

How reproducible:

Always

Steps to Reproduce:
1. Clone the projectatomic/docker repo and checkout the fedora-1.9 branch
2. Run "sudo make test"

Actual results:

FAILures as seen in attached file.

Expected results:

No FAILures, like when run against upstream docker.

Additional info:

[1] https://github.com/projectatomic/docker
Comment 1 Jonathan Lebon 2015-10-13 17:16:32 EDT
A few of these failures seem to be due to the secrets getting mounted at /tmp/secrets rather than under /run. One of the affected tests is TestDiffEnsureOnlyKmsgAndPtmx, which essentially does a `docker run -d busybox sleep 0` and then `docker diff`.

The reason it fails is that it finds /tmp and /tmp/secrets in the output of `docker diff`, which it did not expect. The strange thing is that this only seems to occur when running the test. If I make an RPM at the same commit and run the same docker run & diff, I get /run and /run/secrets as expected. So it looks like there's something going on in the way the docker testing environment is set up.
Comment 4 Daniel Walsh 2015-10-16 10:46:56 EDT
Thanks to Jonathan for fixing these issues.  The latest fedora-1.9 should not have the /run != /tmp problems.
Comment 5 Lokesh Mandvekar 2016-02-16 14:58:35 EST
Putting this ON_QA as docker 1.9 is already in stable and 1.10.1 is in testing.
Comment 6 Fedora End Of Life 2016-07-19 14:12:25 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.